from datetime import datetime

from flask import render_template, Blueprint, redirect, url_for
from flask_login import login_required

from app import Project, db

bp = Blueprint("staff", __name__, url_prefix="/staff")


@bp.route("/projects")
@login_required
def view_projects():
    projects: list[Project] = Project.query.filter(Project.deleted.is_(None)).all()
    return render_template("pages/projects.html", projects=projects)


@bp.route("/projects/<project_id>/delete")
@login_required
def delete_project(project_id):
    project = Project.query.get(project_id)
    project.deleted = datetime.utcnow()
    db.session.commit()
    return redirect(url_for("staff.view_projects"))
